CAT FANTASY

Classic RPG

Supported English and Japanese

Requirements
OS:Android 1.6 or higher & Touch screen
Resolution: 480*800 or higher

http://studioneko.net/catfantasy/
Read more
Collapse
2.8
4 total
5
4
3
2
1
Loading...

What's New

Readjustment of the game balance.
High resolution support.
Some bug fixed.
Read more
Collapse

Additional Information

Eligible for Family Library
Eligible if bought after 7/2/2016. Learn More
Updated
November 9, 2015
Size
5.8M
Installs
10+
Current Version
4.0.0
Requires Android
1.6 and up
Content Rating
Everyone
Permissions
Offered By
Studio neko
Developer
Marunouchi, Chiyoda-ku, Tokyo, Japan
©2018 GoogleSite Terms of ServicePrivacyDevelopersArtistsAbout Google|Location: United StatesLanguage: English (United States)
By purchasing this item, you are transacting with Google Payments and agreeing to the Google Payments Terms of Service and Privacy Notice.